Subject: bug#29949: 26.0.90; doc of `picture-mode-exit' and `picture-mode'

From: Eli Zaretskii <[email-masked]>
Date: Tue, 02 Jan 2018 22:10:54 +0200

> Date: Tue, 2 Jan 2018 11:59:35 -0800 (PST)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> emacs -Q
> 
> (defun foo (&optional n)
>   (interactive "*p")
>   (picture-mode)
>   (picture-open-line n)
>   (picture-move-down n)
>   (picture-mode-exit 'keep))
> 
> In *scratch*, put point on some text near the middle of the
> first line.
> 
> M-3 M-x foo
> 
> The inserted blank lines are all empty, except the last one.
> I believe this is the correct behavior.  Even though a prefix
> arg is used, whitespace-only lines other than the one point
> is on have all of their whitespace removed.

  emacs -Q
  C-x b pic RET
  M-x picture-mode RET
  Press <right> several times
  Press <down> several times
  M-x picture-mode-exit RET

You get a buffer with a single line, all the rest are gone

  emacs -Q
  C-x b pic RET
  M-x picture-mode RET
  Press <right> several times
  Press <down> several times
  C-u M-x picture-mode-exit RET

You get a buffer with all the empty and whitespace characters you
inserted, none are removed.

> You can choose to describe this behavior differently than
> I did.  But I think you will admit that the current
> description is inaccurate, here.

Sorry, I cannot agree, given the behavior I get with the above recipe.